#ifndef _CONST
#define _CONST

//------------------------------------------------------
#ifdef __PICC18__
#include <pic18.h>
#else
#include <pic.h>
#endif
//------------------------------------------------------

#define __FOSC      4000000

#include <OSA.h>

//------------------------------------------------------
//   

#define T0CON_CONST     0x04      // prs = 32, period = 32*256 = 8 ms
#define us_0            * (__FOSC/1000000)/((4*(2<<(T0CON_CONST&0x7))))
#define ms_0            * 1000 us_0

#define ms_OS           / 8
#define s_OS            * 1000 ms_OS
#define min_OS          * 60 s_OS





//______________________________________________________________________________
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
#include <Task_Sound.h>

//______________________________________________________________________________
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
#include <Task_Buttons.h>

//______________________________________________________________________________
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
#include <Task_Leds.h>


//______________________________________________________________________________
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------






#endif


